
<ion-header>

  <ion-navbar>
    <ion-title>Sign up</ion-title>
  </ion-navbar>

</ion-header>


<ion-content padding>
  <form [formGroup]="myForm">
    <ion-item>
      <ion-label>Name *</ion-label>
      <ion-input
        formControlName="name"
        type="text"
        placeholder="Name">
      </ion-input>
    </ion-item>
    <ion-item>
      <ion-label>Date of Birth *</ion-label>
      <ion-input
        formControlName="dob"
        type="date">
      </ion-input>
    </ion-item>
    <ion-item>
      <ion-label>Email *</ion-label>
      <ion-input
        formControlName="email"
        type="email"
        placeholder="example@org.com">
      </ion-input>
    </ion-item>
    <ion-item>
      <ion-label>Password *</ion-label>
      <ion-input
        formControlName="password"
        type="password"
        placeholder="********">
      </ion-input>
    </ion-item>
    <button
    ion-button
    block
    type="submit"
    (click)="onSubmit(myForm.value, myForm.valid)">Submit</button>
  </form>
</ion-content>
